﻿@model List<GarageMaster.Models.AccountModels.RolesForUserModel>

@{
    ViewData["Title"] = "AddRolesToUser";
    Guid userId = ViewBag.userId;
}

<h1>AddRolesToUser</h1>

<h4>RolesForUserModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddRolesToUser" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                @{
                    for (int i = 0; i < Model.ToList().Count; i++)
                    {
                        <div class="form-check m-2">
                            <input type="hidden" asp-for="@Model[i].RoleId" />
                            <input type="hidden" asp-for="@Model[i].RoleName" />
                            <input type="hidden" asp-for="@userId" />
                            <input asp-for="@Model[i].IsSelected" type="checkbox" class="form-check-input" style="transform:scale(1.5);" />
                            <label class="form-check-label" asp-for="@Model[i].IsSelected">
                                @Model[i].RoleName
                            </label>
                        </div>
                    }
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                }
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-area="Admin" asp-action="ProfileUser" asp-controller="User" asp-route-id="@userId">Back to Profile User</a>
</div>